
SETTINGS = {}; -- Table used when loading settings.
_CHARDATA = {}; -- Table used when loading saved character data.
_SAVEDIMAGES = {}; -- Table used when loading saved image ids.

MYCHAR = Turbine.Gameplay.LocalPlayer.GetInstance();
MYWALLET = MYCHAR:GetWallet();

MYWALLET.ItemAdded = function (sender,args)
	RefreshTokenView(MYCHAR:GetName());
end

MYWALLET.ItemRemoved = function (sender,args)
	wMainWinParent:SetWantsUpdates(true);
end

ARMOURY_SELCLASSID = 0;
ARMOURY_SELSETNAME = "";

SCREENWIDTH = Turbine.UI.Display.GetWidth();
SCREENHEIGHT = Turbine.UI.Display.GetHeight();
TrajanPro14 = Turbine.UI.Lotro.Font.TrajanPro14;
TrajanPro16 = Turbine.UI.Lotro.Font.TrajanPro16;
TrajanPro18 = Turbine.UI.Lotro.Font.TrajanPro18;
Arial12 = Turbine.UI.Lotro.Font.Arial12;
Verdana10 = Turbine.UI.Lotro.Font.Verdana10;
Verdana12 = Turbine.UI.Lotro.Font.Verdana12;
Verdana14 = Turbine.UI.Lotro.Font.Verdana14;

PLUGINNAME = "Hytbold Assistant";
QUESTTOKENSTOTAL = 0;
NUMQUESTS = 0;
SELECTEDCHARACTER = "";

-- Random Variables
blDRAGGING = false;
relX = 0;
relY = 0;

-- Detect client lang.
CLIENTLANG = "ENGLISH";
if Turbine.Shell.IsCommand("hilfe") then
	CLIENTLANG = "GERMAN";
elseif Turbine.Shell.IsCommand("aide") then
	CLIENTLANG = "FRENCH";
elseif Turbine.Shell.IsCommand("плагины") then
	CLIENTLANG = "RUSSIAN";
end

-- Default Settings
DEFAULT_SETTINGS =
	{
	["LANGUAGE"] = CLIENTLANG;
	["SHOWSCREEN"] = true;

	["MAINWIN"] =
		{
		["VISIBLE"] = true;
		["X"] = (SCREENWIDTH/2)-225;
		["Y"] = SCREENHEIGHT/3;
		};

	["ARMOURWIN"] =
		{
		["VISIBLE"] = false;
		["X"] = (SCREENWIDTH/2)-300;
		["Y"] = SCREENHEIGHT/3;
		};

	};

